/*
 *	Joypad definitions
 *
 *	Patrice Mandin
 */
 
#ifndef _I_JOYPAD_H_
#define _I_JOYPAD_H_

extern long atari_joypad0;
extern long atari_joypad1;

#define JP_PAUSE	(1<<0)
#define JP_FIRE0	(1<<1)
#define JP_FIRE1	(1<<3)
#define JP_FIRE2	(1<<5)
#define JP_OPTION	(1<<7)
#define JP_UP		(1<<16)
#define JP_DOWN		(1<<17)
#define JP_LEFT		(1<<18)
#define JP_RIGHT	(1<<19)
#define JP_KASTER	(1<<20)
#define JP_K7		(1<<21)
#define JP_K4		(1<<22)
#define JP_K1		(1<<23)
#define JP_K0		(1<<24)
#define JP_K8		(1<<25)
#define JP_K5		(1<<26)
#define JP_K2		(1<<27)
#define JP_KNUM		(1<<28)
#define JP_K9		(1<<29)
#define JP_K6		(1<<30)
#define JP_K3		(1<<31)
#define JP_KR		JP_K6	/* pro controller buttons */
#define JP_KL		JP_K4
#define JP_KX		JP_K7
#define JP_KY		JP_K8
#define JP_KZ		JP_K9

void I_UpdateJoypad_hardware(void);

/* ASM routine to read new joypad positions */
void I_Asm_UpdateJoypad(void);

#endif
